コンテンツへスキップ

Ltx 2.3

統合

モデルID ltx-2.3/reframe
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3/reframe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $2.00 2,000 APIクレジット · ≈ ₽210.93 実行前にファイルを計測します このページで実行

APIキーを取得
Lightricks 動画変換 1080pまで #reframe#size

動画を新しいアスペクト比にリフレームし、新たに露出する領域を生成コンテンツで補完

Lightricks · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 video_url
ファイルをドロップ、または

リフレーミングする元動画。一般公開 URL または base64 データ URI で指定し、最大長は 60 秒です。リフレーミングでは、ターゲットのアスペクト比に合わせて動画を再クロップし、新たに露出する領域を元の内容と一貫したコンテンツで補います。

aspect_ratio デフォルト 16:9

リフレーミング後の動画に使用するアスペクト比。

resolution デフォルト 1080p

出力解像度の段階。アスペクト比と組み合わせて最終的な寸法を決定します。

詳細設定 enable_safety_checker
POST /run/ltx-2.3/reframe?wait=20 見積もり → $2.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3/reframe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Ltx 2.3について

動画(`video_url`)を別のアスペクト比に変換します。映像を再中央配置し、トリミングする代わりに新しい領域のコンテンツを生成します。`aspect_ratio`は1:1、4:5、5:4、9:16、16:9から選択できます。`resolution`は720pまたは1080pで、比率と組み合わせて出力サイズを設定します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
video_url必須 video
型url · video
リフレーミングする元動画。一般公開 URL または base64 データ URI で指定し、最大長は 60 秒です。リフレーミングでは、ターゲットのアスペクト比に合わせて動画を再クロップし、新たに露出する領域を元の内容と一貫したコンテンツで補います。
aspect_ratio任意
型enum
デフォルト16:9
1:14:55:49:1616:9
リフレーミング後の動画に使用するアスペクト比。
resolution任意
型enum
デフォルト1080p
720p1080p
出力解像度の段階。アスペクト比と組み合わせて最終的な寸法を決定します。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3/reframe",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2000,
    "usd": "2.00",
    "charged": 2000,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}リフレーミング結果を含む動画ファイル。

その他のモデル: 動画変換

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/ltx-2.3/reframe.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt